classification
Title: Update of some email/ __all__ lists
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: r.david.murray Nosy List: python-dev, r.david.murray, sdaoden
Priority: normal Keywords: patch

Created on 2011-03-26 17:15 by sdaoden, last changed 2012-03-19 10:45 by sdaoden. This issue is now closed.

Files
File name Uploaded Description Edit
__all__.diff sdaoden, 2011-03-26 17:15 review
Messages (7)
msg132254 - (view) Author: Steffen Daode Nurpmeso (sdaoden) Date: 2011-03-26 17:15
This patch adds some BytesXy classes to some __all__[]
exporters.

(Still don't know why i can
    import email
    x = email.feedparser.Xy()
but not
    import email
    x = email.parser.Xy()
Is there any reason for that?)
msg144204 - (view) Author: Steffen Daode Nurpmeso (sdaoden) Date: 2011-09-17 16:16
Closing this...
msg144218 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2011-09-17 20:03
Why?  The bug hasn't been fixed yet.
msg156127 - (view) Author: Roundup Robot (python-dev) Date: 2012-03-17 02:46
New changeset 63a6d35fcac8 by R David Murray in branch '3.2':
#11686: add missing entries to email __all__ lists.
http://hg.python.org/cpython/rev/63a6d35fcac8

New changeset 561fc3b4cc2a by R David Murray in branch 'default':
Merge #11686: add missing entries to email __all__ lists.
http://hg.python.org/cpython/rev/561fc3b4cc2a
msg156128 - (view) Author: Roundup Robot (python-dev) Date: 2012-03-17 02:51
New changeset 32d3ecacdabf by R David Murray in branch '3.2':
#11686: news entry.
http://hg.python.org/cpython/rev/32d3ecacdabf

New changeset 26c8c43dd774 by R David Murray in branch 'default':
Merge #11686: news entry.
http://hg.python.org/cpython/rev/26c8c43dd774
msg156129 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-03-17 02:51
Thanks for the patch, Steffen.
msg156324 - (view) Author: Steffen Daode Nurpmeso (sdaoden) Date: 2012-03-19 10:45
R. David Murray wrote [2012-03-17 03:51+0100]:
> Thanks for the patch, Steffen.

Warm <wink> to the cleanroom-squatters!
(I count this as the promised petit glass of red wine.)

--steffen
Forza Figa!
History
Date User Action Args
2012-03-19 10:45:03sdaodensetmessages: + msg156324
2012-03-17 02:51:55r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg156129

stage: patch review -> resolved
2012-03-17 02:51:14python-devsetmessages: + msg156128
2012-03-17 02:46:42python-devsetnosy: + python-dev
messages: + msg156127
2011-09-17 20:03:02r.david.murraysetstatus: closed -> open
versions: + Python 3.2
messages: + msg144218

assignee: r.david.murray
stage: patch review
2011-09-17 16:16:10sdaodensetstatus: open -> closed

messages: + msg144204
2011-03-26 17:15:40sdaodencreate